Opened 6 years ago

Closed 6 years ago

#514 closed defect (fixed)

python-future seems to be missing as dependency for qgis

Reported by: kbevers Owned by: osgeo4w-dev@…
Priority: major Component: Installer
Version: Keywords:
Cc:

Description

It would seem as if python-future is not a dependency for QGIS. This is a problem when upgrading to the new 2.16 release, as the python code imports stuff from the python-future package. QGIS complains about the missing package and then starts without python.

The qgis-dev packages has python-future listed as a dependency, so the problem is most likely to show up for users that don't use the dev-versions.

Change History (1)

comment:1 by jef, 6 years ago

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.